******************************************************************************
* *
* TEXAS INSTRUMENTS INCORPORATED
* Standard Linear and Logic Group
* HSPICE Model for SN74CB3Q3253
* PROPERTY OF TEXAS INSTRUMENTS INCORPORATED. UNAUTHORIZED
* REPRODUCTION AND/OR DISTRIBUTION IS STRICTLY PROHIBITED.
*
* THIS PRODUCT IS PROTECTED UNDER COPYRIGHT LAW.
* CREATED 2005, (C) COPYRIGHT 2005, TEXAS INSTRUMENTS
* INCORPORATED, ALL RIGHTS RESERVED
*
* UNLESS THERE IS A SIGNED, WRITTEN AGREEMENT TO THE
* CONTRARY, TEXAS INSTRUMENTS (TI) IS PROVIDING THE IBIS
* MODELS AND WITHOUT ANY WARRANTY, EXPRESSED OR
* IMPLIED. TI ASSUMES NO LIABILITY FOR:
* 1) THE ACCURACY OF THE HSPICE MODELS PROVIDED TO YOUR
* COMPANY;
* 2) THE PROPER FUNCTIONING OF THESE HSPICE MODELS IN YOUR
* DESIGN OR FOR ANY RESULTING APPLICATIONS; OR
* 3) INFRINGEMENT OF PATENTS, COPYRIGHTS OR INTELLECTUAL
* PROPERTY RIGHTS RESULTING FROM YOUR USE OF THESE HSPICE
* MODELS.
*
* TI PROVIDES HSPICE MODELS AS A SERVICE TO OUR CUSTOMERS.
* YOU AND YOUR COMPANY SHALL NOT DISTRIBUTE, SELL OR GIVE
* THESE MODELS TO ANYONE ELSE WITHOUT PRIOR WRITTEN
* PERMISSION FROM TI.
*
* TI RESERVES THE RIGHT TO MAKE CHANGES TO OUR PRODUCTS OR
* TO DISCONTINUE ANY SEMICONDUCTOR PRODUCT OR SERVICE
* WITHOUT NOTICE, AND ADVISES OUR CUSTOMERS TO OBTAIN THE
* LATEST VERSION OF RELEVANT INFORMATION TO VERIFY, BEFORE
* PLACING ORDERS, THAT THE INFORMATION BEING RELIED ON IS
* CURRENT.
*
* PLEASE BE AWARE THAT YOUR RECEIPT AND USE OF THE HSPICE
* INFORMATION PROVIDED SHALL SERVE AS ACCEPTANCE OF THESE
* TERMS AND CONDITIONS. IF YOU DO NOT ACCEPT THESE TERMS,
* YOU SHOULD RETURN OR DESTROY THE HSPICE MODELS AND ANY
* OTHER ACCOMPANYING INFORMATION IMMEDIATELY.
************************************************************************
**** HSPICE EXECUTION OPTIONS ****
************************************************************************
*
.OPTIONS POST $ Enables HSPLOT interface
.OPTIONS ACCT OPTS $ Prints stats & option values used
.OPTIONS SPICE=1 $ Forces Berkeley compatibility
.OPTIONS GMIN=1E-10 $ Lowest allowable conductance values
.OPTIONS GMINDC=1E-10
.OPTIONS ITL1=400 $ Maximum DC iteration limit
.OPTIONS ITL4=40 $ Maximum transient iterations/timestep
.OPTIONS ITL5=0 $ No limit to total transient iterations
***********************************************************************
.OPTIONS search='./'

***********************************************************************
******Top level Subcircuit call (device call)
***********************************************************************
* .INCLUDE 'sn74cb3q3253.inc'
X__SN74CB3Q3253 X_1NOE S1 X_1B4 X_1B3 X_1B2 X_1B1 X_1A GND X_2A X_2B1 X_2B2
+ X_2B3 X_2B4 S0 X_2NOE VCC SN74CB3Q3253
*** PULSE PARAMETERS ***
.param PDELAY1=20us $ delay of 1st pulse
.param PVIN='PVCC' $ input voltage

*** TRANSIENT START & START PARAMETERS ***
.param PSTART='PDELAY1' $ time input starts to transition.
.param PSTOP='PSTART+320n' $
.TRAN 0.1n 'PSTOP' 'PSTART' 0.1n
.PRINT TRAN v(X_1NOE) v(S0) v(S1) v(X_1A) 
.print tran v(X_1B1) v(X_1B2) v(X_1B3) v(X_1B4)

* SET CONTROL INPUTS TO ENABLE OUTPUT
VC0 X_1NOE 0 PULSE 0 'PVCC' 20us 2ns 2ns 158ns 320ns
VC2 S0 0 PULSE 0 'PVCC' 20us 2ns 2ns 78ns 160ns
VC3 S1 0 PULSE 0 'PVCC' 20us 2ns 2ns 38ns 80ns
VC1 X_2NOE 0 DC 'PVCC'


*** SET INPUT AND TEST OUTPUT TO GO LOW ****
VP0 X_1A GND PULSE 0 'PVCC' 20us 2ns 2ns 8ns 20ns

* CHANGE TO THE OUTPUT NODE
VDATA X_1B1 DATA DC 0
RLOAD DATA VCC 500

* VOLTAGE SUPPLIES
*vpp vpp 0 dc 6.93

.param PVCC=3.3
.param PGND=0v
VVCC VCC 0 PULSE 0 'PVCC' 5ns 5ns 30us 60us
VGND GND 0 'PGND'

.TEMP 40

* RESISTORS TO PREVENT DANGLING NODES
* R1G_1 X_1NOE 0 1G
* R1G_2 S1 0 1G
R1G_3 X_1B4 0 1G
R1G_4 X_1B3 0 1G
R1G_5 X_1B2 0 1G
* R1G_6 X_1B1 0 1G
* R1G_7 X_1A 0 1G
* R1G_8 GND 0 1G
R1G_9 X_2A 0 1G
R1G_10 X_2B1 0 1G
R1G_11 X_2B2 0 1G
R1G_12 X_2B3 0 1G
R1G_13 X_2B4 0 1G
* R1G_14 S0 0 1G
* R1G_15 X_2NOE 0 1G
* R1G_16 VCC 0 1G

.END
